<?php
if ( !defined( 'ABSPATH' ) ) exit;
    $cf7_list = apply_filters( 'netgsm_contact_form_7_list', '');

    $netgsm = new Netgsmsms(get_option("netgsm_user"),get_option("netgsm_pass"),"");
    $cevap = json_decode($netgsm->netgsm_GirisSorgula(get_option("netgsm_user"),get_option("netgsm_pass")));
    $sessionid = get_current_user_id();
    $session = new WP_User($sessionid);

    $fps_roles = new WP_Roles();
    $role_list = $fps_roles->get_names();

    $auth_roles = [];
    if (get_option('netgsm_auth_roles') != ''){
        $auth_roles = explode(',', get_option('netgsm_auth_roles'));
    }

    $auth_users = [];
    if (get_option('netgsm_auth_users') != ''){
        $auth_users = explode(',', get_option('netgsm_auth_users'));
    }

    $netgsm_auth_roles_control= get_option('netgsm_auth_roles_control');
    $netgsm_auth_users_control= get_option('netgsm_auth_users_control');

    $users = get_users();
if(in_array($session->roles[0], ['administrator']) || (in_array($session->roles[0], $auth_roles) && $netgsm_auth_roles_control == 1)) {
    if( (
            ( in_array($session->roles[0], ['administrator']) && in_array($session->user_login, ['admin']) )    //admin herzaman yetkilidir.
            || (in_array($session->ID, $auth_users) && $netgsm_auth_users_control == 1)
        )
    || $netgsm_auth_users_control == 0
         ) { //$netgsm_auth_users_control 0 ise bu özellik kapalıdır ve user bazlı yetki kontrolüne gerek yoktur..
        ?>
        <br>
        
        <style>
            .wp-b {
                    padding: 10px;
                    padding-top: 21px;
                    background: #f5f5f5;
                    margin: 10px 0px;
            }
            
            .nav-tabs > li > a {
    margin-right: 5px;
    line-height: 1.42857;
    border: 1px solid transparent;
    border-radius: 3px 3px 0 0;
    background: #00bfa5;
    font-weight: bold;
    color: #fff;
                
}
            
            input:checked + .slider {
    background-color: #00bfa5;
}
            
            a:focus {
                outline: none!important;
                box-shadow: none!important;
            }
            
            mark {
    background-color: #00bfa5;
    font-weight: normal;
    font-style: normal;
    color: white;
    cursor: pointer;
    transition: all .2s ease-in-out;
    border-radius: 10px;
    padding: 3px 10px;
}
            
            .panel-default > .panel-heading {
    color: #fff;
    background-color: #00bfa5;
    border-color: #ddd;
}
            
        </style>
        
        <div class="container-fluid">
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h3 class="panel-title">WHA-API Whatsapp Notification
                        <?php if ($cevap->btnkontrol == "enabled") { ?>
                            <!-- <form action="options.php" method="get" id="formLogout" name="formLogout">
                                <?php /*settings_fields( ' netgsmoptionslogout' ); */ ?>
                                <?php /*do_settings_sections( 'netgsmoptionslogout' ); */ ?>
                                <button class="btn btn-danger btn-sm" id="logout" name="logout" type="submit" style="float: right; margin-top: -20px">Çıkış <i class="fa fa-sign-out"></i></button>
                            </form>-->
                            <button class="btn btn-danger btn-sm" type="text" onclick="logout()"
                                    style="float: right; margin-top: -5px">Log out <i class="fa fa-sign-out"></i></button>
                        <?php } ?>
                    </h3>
                </div>

                <div class="panel-body">
                    <div class="col-md-6 text-left">
                        <a href="https://wha-api.com/" alt="WHA-API" target="_blank">
                            <img src="<?= plugins_url('lib/image/logo.png', dirname(__FILE__)) ?>" width="130"
                                 height="40">
                        </a>
                    </div>
                    <div class="col-md-6 text-right">
                        <div
                            <?php if ($cevap->href != ""){ ?>onclick="window.open('<?= $cevap->href ?>','_blank');" <?php } ?>
                            class="alert alert-<?= $cevap->durum ?>" id="bakiye" style="display:inline-block;"><i
                                    class='fa <?= $cevap->icon ?>'></i><?= $cevap->mesaj ?></div>
                    </div>

                    <form action="options.php" method="post" id="form-module" class="form-horizontal"
                          name="form-module">
                        <?php settings_fields('netgsmoptions'); ?>
                        <?php do_settings_sections('netgsmoptions'); ?>
                        <input type="hidden" name="sayfayi_yenile" id="sayfayi_yenile" value="0">
                        <div class="tab-pane">
                            <ul class="nav nav-tabs" id="language">
                                <li><a href="#login" data-toggle="tab"><i class="fa fa-sign-in"></i> Login WHA-API</a></li>
                                
                                
                                
                                <li><a href="#sms" data-toggle="tab"><i class="fa fa-envelope-o"></i> Notification Settings </a> </li>
                                
                                
                                <li>
                                
                                <a href="#tf2sms" data-toggle="tab"><i class="fa fa-key"></i> Verify Account</a>
                                </li>
                              
                                <li><a href="#privatesms" data-toggle="tab"><i class="fa fa-commenting"></i> Send Message</a></li>
                                <li><a href="#cf7sms" data-toggle="tab"><i class="fa fa-envelope-o"></i> Contact Form7
                                        Settings</a></li>
                            </ul>
                            <div class="tab-content">
                               
                                  
                                <div class="tab-pane" id="login">
                                  
                                   <div class="form-group" style="margin-top:50px;">
                                        <label class="col-sm-2 control-label" for="netgsm_user">Instance ID : </label>
                                        <div class="col-sm-10">
                                            <div class="input-group">
                                                <div class="input-group-addon">
                                                    <i class="fa fa-mobile" style="color: #17A2B8;"></i>
                                                </div>
                                                <input type="text" name="netgsm_user" id="netgsm_user"
                                                       placeholder="Username"
                                                       value="<?= get_option("netgsm_user") ?>" class="form-control"
                                                       onkeypress="return RestrictSpace()"/>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-sm-2 control-label" for="netgsm_pass">API Key : </label>
                                        <div class="col-sm-10">
                                            <div class="input-group">
                                                <div class="input-group-addon">
                                                    <i class="fa fa-lock" style="color: #17A2B8;"></i>
                                                </div>
                                                <input type="password" name="netgsm_pass" placeholder="Password"
                                                       id="netgsm_pass" value="<?= get_option("netgsm_pass") ?>"
                                                       class="form-control"/>
                                            </div>
                                        </div>
                                    </div>
                                    
                                  
                                    
                                    <div class="form-group">
                                        <div class="col-sm-2"></div>
                                        <div class="col-sm-8">
                                           
                                        <p><a target="_blank" href="https://wha-api.com/app/login">Click to get INSTANCE ID and API key access.</a></p>
                                           
                                            <button class="btn btn-success" id="login_save" name="login_save"
                                                    onclick="login();"> Verify Account
                                            </button>
                                        </div>
                                    </div>
                                   
                                    <div class="form-group">
                                        <div class="col-sm-2"></div>
                                        <div class="col-sm-10 text-right">
                                            <button class="btn btn-primary" id="login_save2" name="login_save2"
                                                    onclick="login();"><i class="fa fa-save"></i> Save Settings
                                            </button>
                                        </div>
                                    </div>
                               
                                   
                                   
<div class="desc-p">
    <h2>WHA-API Notification</h2><p> With WHA-API Membership, you can send messages for verification or order process via whatsapp.</p><p> <strong>Communication with customers via Whatsapp increases sales by 2 times.</strong></p>

<p> <strong>The plugin is developed for WooCommerce.</strong></p><br>

<img src="https://wha-api.com/product-1.png" style="
    height: 300px;
    float: right;
    margin-top: -80px;
">

<h4 style="
    font-weight: bold;
    /* list-style: cjk-ideographic; */
"> Unlimited Messages &amp; Notification</h4>
WHA-API, you can try it free for 3 days. After that, you have to pay 20 USD per month. It offers add-on and software support for WHA-API Subscribers.

<br><br> <strong>Features ;</strong><ul>
    

<li style="
    list-style: auto;
    margin-left: 16px;
    margin-top: 8px;
">Membership verification via whatsapp to customers</li><li style="
    list-style: auto;
    margin-left: 16px;
    margin-top: 8px;
">Sending a message to the customer and admin when the customer places an order</li>
<li style="
    list-style: auto;
    margin-left: 16px;
    margin-top: 8px;
">Supports Emoji and Image download</li>

<li style="
    list-style: auto;
    margin-left: 16px;
    margin-top: 8px;
">Send message to customer and admin when customer creates Member record</li>

<li style="
    list-style: auto;
    margin-left: 16px;
    margin-top: 8px;
">Works integrated with Contact Form</li>
<ul></ul></ul>
</div>
                                   
                                    <hr>
                                
                                </div>
                                
                                
                                <div class="tab-pane container-fluid" id="sms">
                                   
                                    <hr>
                                    <div class="form-group wp-b">
                                        <!--  Yeni üye olunca, belirlenen numaralara sms göndermek -->
                                        <div class="row">
                                            <div class="col-sm-3">
                                                <div class="col-sm-7">
                                                    <label class="control-label" for="netgsm_newuser_to_admin_no"> When you become a new member, send sms to the specified numbers :</label>
                                                </div>
                                                <div class="col-sm-5">
                                                    <label class="switch">
                                                        <input name="netgsm_newuser_to_admin_control"
                                                               id="netgsm_switch1" type="checkbox"
                                                               onchange="netgsm_field_onoff(1)" value="1"
                                                               <?php if ((get_option('netgsm_newuser_to_admin_control')) == 1){ ?>checked <?php } ?> >
                                                        <span class="slider round"></span>
                                                    </label>
                                                </div>
                                            </div>
                                            <div class="col-sm-9" id="netgsm_field1"
                                                 style="<?php if ((get_option('netgsm_newuser_to_admin_control')) == 0) { ?>display:none; <?php } ?>">
                                                <div class="row">
                                                    <div class="col-sm-12">
                                                        <div class="input-group">
                                                            <div class="input-group-addon">
                                                                <i class="fa fa-phone" style="color: #17A2B8;"></i>
                                                            </div>
                                                            <input name="netgsm_newuser_to_admin_no"
                                                                   id="netgsm_newuser_to_admin_no" type="text"
                                                                   class="form-control"
                                                                   placeholder="Enter the numbers to send sms. Ex: 35xxXXXxxXX,15xxXXXxxXX"
                                                                   value="<?= esc_html(get_option("netgsm_newuser_to_admin_no")) ?>">
                                                        </div>
                                                        <p id="vars_newuser_to_admin_no"></p>
                                                    </div>
                                                </div>
                                                <div class="row">
                                                    <div class="col-sm-12">
                                                        <div class="input-group">
                                                            <div class="input-group-addon">
                                                                <i class="fa fa-commenting" style="color: #17A2B8;"></i>
                                                            </div>
                                                            <div class="input-group-addon hoverlay"
                                                                 onclick="settingOpen('conf1')">
                                                                <a href="javascript:void(0)">
                                                                    <i class="fa fa-cogs" id="conf1_color"
                                                                       style="color: <?php if (esc_textarea(get_option("netgsm_newuser_to_admin_json")) != '') {
                                                                           echo '#17A2B8';
                                                                       } else {
                                                                           echo '#2B2B2B';
                                                                       } ?>;"></i>
                                                                </a>
                                                            </div>
                                                            <textarea name="netgsm_newuser_to_admin_text"
                                                                      id="netgsm_textarea1" class="form-control"
                                                                      placeholder="Example : Dear Sir, [first_name] [last_name] user is registered in the system. Information : tel : [phone] e-mail: [user_email]"><?= esc_textarea(get_option("netgsm_newuser_to_admin_text")) ?></textarea>
                                                            <input type="hidden" id="netgsm_newuser_to_admin_json"
                                                                   name="netgsm_newuser_to_admin_json"
                                                                   class="form-control"
                                                                   value="<?= esc_html(get_option("netgsm_newuser_to_admin_json")) ?>">
                                                        </div>
                                                        <p id="netgsm_tags_text1" style="margin-top: 10px"><i
                                                                    class="fa fa-angle-double-right"></i>
                                                            Variables You Can Use : </p>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                            
                                    <div class="form-group wp-b"> <!--  Yeni üye olunca,yeni üyeye sms  -->
                                        <div class="row">
                                            <div class="col-sm-3">
                                                <div class="col-sm-7">
                                                    <label class="control-label" for="netgsm_newuser_to_customer_no">When you become a new member, send an sms to the customer : </label>
                                                </div>
                                                <div class="col-sm-5">
                                                    <label class="switch">
                                                        <input name="netgsm_newuser_to_customer_control"
                                                               id="netgsm_switch2" type="checkbox"
                                                               onchange="netgsm_field_onoff(2)" value="1"
                                                               <?php if ((get_option('netgsm_newuser_to_customer_control')) == 1){ ?>checked <?php } ?> >
                                                        <span class="slider round"></span>
                                                    </label>
                                                </div>
                                            </div>
                                            <div class="col-sm-9" id="netgsm_field2"
                                                 style="<?php if ((get_option('netgsm_newuser_to_customer_control')) == 0) { ?>display:none; <?php } ?>">
                                                <div class="row">
                                                    <div class="col-sm-12">
                                                        <div class="input-group">
                                                            <div class="input-group-addon">
                                                                <i class="fa fa-commenting" style="color: #17A2B8;"></i>
                                                            </div>
                                                            <div class="input-group-addon hoverlay"
                                                                 onclick="settingOpen('conf2')">
                                                                <a href="javascript:void(0)">
                                                                    <i class="fa fa-cogs" id="conf2_color"
                                                                       style="color: <?php if (esc_textarea(get_option("netgsm_newuser_to_customer_json")) != '') {
                                                                           echo '#17A2B8';
                                                                       } else {
                                                                           echo '#2B2B2B';
                                                                       } ?>;"></i>
                                                                </a>
                                                            </div>
                                                            <textarea name="netgsm_newuser_to_customer_text"
                                                                      id="netgsm_textarea2" class="form-control"
                                                                      placeholder="Example: Dear [name_name] [last_name], welcome to our site! You registered with [phone] phone and [user_email]. Happy shopping!"><?= esc_textarea(get_option("netgsm_newuser_to_customer_text")) ?></textarea>
                                                            <input type="hidden" id="netgsm_newuser_to_customer_json"
                                                                   name="netgsm_newuser_to_customer_json"
                                                                   class="form-control"
                                                                   value="<?= esc_html(get_option("netgsm_newuser_to_customer_json")) ?>">
                                                        </div>
                                                        <p id="netgsm_tags_text2" style="margin-top: 10px"><i
                                                                    class="fa fa-angle-double-right"></i>
                                                            Variables You Can Use : </p>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                    <script>
                                        var settings = {
                                            'conf1': {
                                                'name': 'netgsm_newuser_to_admin_json',
                                                'settings':
                                                    {
                                                        'source': 'no',
                                                        'timecondition': 'yes',
                                                        'otherAction': 'no'
                                                    }
                                            },
                                            'conf2': {
                                                'name': 'netgsm_newuser_to_customer_json',
                                                'settings':
                                                    {
                                                        'source': 'no',
                                                        'timecondition': 'yes',
                                                        'otherAction': 'no'
                                                    }
                                            },
                                            'conf3': {
                                                'name': 'netgsm_neworder_to_admin_json',
                                                'settings':
                                                    {
                                                        'source': 'no',
                                                        'timecondition': 'yes',
                                                        'otherAction': 'yes',
                                                        'addOrderAdminPanel' :'yes'
                                                    }
                                            },
                                            'conf4': {
                                                'name': 'netgsm_neworder_to_customer_json',
                                                'settings':
                                                    {
                                                        'source': 'yes',
                                                        'timecondition': 'yes',
                                                        'otherAction': 'yes',
                                                        'addOrderAdminPanel' :'yes'
                                                    }
                                            },
                                            'conf5': {
                                                'name': 'netgsm_order_refund_to_admin_json',
                                                'settings':
                                                    {
                                                        'source': 'no',
                                                        'timecondition': 'yes',
                                                        'otherAction': 'no'
                                                    }
                                            },
                                            'conf6': {
                                                'name': 'netgsm_product_waitlist1_json',
                                                'settings':
                                                    {
                                                        'source': 'yes',
                                                        'timecondition': 'yes',
                                                        'otherAction': 'no'
                                                    }
                                            },
                                            'conf11': {
                                                'name': 'netgsm_newnote1_to_customer_json',
                                                'settings':
                                                    {
                                                        'source': 'yes',
                                                        'timecondition': 'yes',
                                                        'otherAction': 'no'
                                                    }
                                            },
                                            'conf12': {
                                                'name': 'netgsm_newnote2_to_customer_json',
                                                'settings':
                                                    {
                                                        'source': 'yes',
                                                        'timecondition': 'yes',
                                                        'otherAction': 'no'
                                                    }
                                            },
                                            <?php  if(function_exists('wc_get_order_statuses')) {
                                            $order_statuses = wc_get_order_statuses();
                                            $arraykeys = array_keys($order_statuses);
                                            foreach ($arraykeys as $item) { ?>
                                            '<?=$item?>': {
                                                'name': 'netgsm_order_status_text_<?=$item?>_json',
                                                'settings':
                                                    {
                                                        'source': 'yes',
                                                        'timecondition': 'yes',
                                                        'otherAction': 'no'
                                                    }
                                            },
                                            <?php } }?>
                                        };

                                        var settings2 = {
                                            'source2': {
                                                'type': 'checkbox',
                                                'ids': [
                                                    '_source_billing_phone',
                                                    '_source_address_phone'
                                                ]
                                            },
                                            'source': {
                                                'type': 'text',
                                                'ids': [
                                                    '_custom_phone_key'
                                                ]
                                            },
                                            'timecondition': {
                                                'type': 'text',
                                                'ids': [
                                                    '_timecondition'
                                                ]
                                            },
                                            'otherAction': {
                                                'type': 'text',
                                                'ids': [
                                                    '_otherAction'
                                                ]
                                            },
                                            'addOrderAdminPanel' : {
                                                'type': 'checkbox',
                                                'ids': [
                                                    '_addOrderAdminPanel'
                                                ]
                                            }
                                        };

                                        function settingOpen(conf) {
                                            var settingHtml = {
                                                'source2': '<hr><div class="col-md-12"><div class="col-md-3"><label for=""><i class="fa fa-info-circle" data-toggle="tooltip" data-placement="top" title="SMSin hangi telefon numarası kaynaklarına gönderileceğini belirleyebilirsiniz."></i> Gönderilecek Kaynak: </label></div><div class="col-md-7"><input type="checkbox" name="" id="' + conf + settings2["source"].ids[0] + '" class="checkbox-fix" value="off"> Fatura telefon numarasına gönder<br><input type="checkbox" name="" id="' + conf + settings2["source"].ids[1] + '" class="checkbox-fix" value="off"> Adres telefon numarasına gönder</div></div>',
                                                'source': '<div class="col-md-12"><div class="col-md-3"><label for=""><i class="fa fa-info-circle" data-toggle="tooltip" data-placement="top" title="If there is a special phone key that you want to be sent, you can send an SMS to the phone number on this key. Ex: billing_phone, shipping_phone, customer_tel etc. "></i> Message to be sent phone number key: </label></div><div class="col-md-8"><input type="text" name="" id="' + conf + settings2["source"].ids[0] + '"  class="form-control" placeholder="If there is a special phone key that you want to be sent, you can send an Message to the phone number on this key. Ex: billing_phone, shipping_phone, customer_tel etc. " value="billing_phone"></div></div>',
                                                'timecondition': '<hr><div class="col-md-12"><div class="col-md-3"><label for=""><i class="fa fa-info-circle" data-toggle="tooltip" data-placement="top" title="SMSin ne kadar zaman sonra gönderileceğini dakika cinsinden belirleyebilirsiniz. Zaman ayarlarınızı kontrol edin. Bu sayfa yüklendiğinde saat : <?=date('H:i:s', current_time('timestamp'))?>"></i> In Time: </label></div><div class="col-md-8"><input type="number" name="" id="' + conf + settings2["timecondition"].ids[0] + '"  class="form-control" placeholder="After how many minutes do you want it to be sent? "></div></div>',
                                                'otherAction': '<hr><div class="col-md-12" style="display: none;"><div class="col-md-3"><label for=""><i class="fa fa-info-circle" data-toggle="tooltip" data-placement="top" title="Farklı bir actionda çalıştırmak için kanca ismi girin. Gizli özelliktir."></i> Ek kanca girişi: </label></div><div class="col-md-8"><input type="text" name="" id="' + conf + settings2["otherAction"].ids[0] + '"  class="form-control" placeholder="Farklı kancada çalıştırmak için kanca ismi girin"></div></div>',
                                                'addOrderAdminPanel': '<hr><div class="col-md-12"><div class="col-md-3"><label for=""><i class="fa fa-info-circle" data-toggle="tooltip" data-placement="top" title="You can choose to send SMS on orders added from the admin panel."></i> Send in the order added from the admin panel: </label></div><div class="col-md-7"><input type="checkbox" name="" id="' + conf + settings2["addOrderAdminPanel"].ids[0] + '" class="checkbox-fix" value="off"> Send Message</div></div>',
                                            };

                                            if (settings[conf]) {
                                                var setting = settings[conf];
                                                // var data = JSON.parse(jQuery('#'+setting.name).val());
                                                modalCleaner();
                                                jQuery('#modal-save').attr('conf', conf);

                                                Object.keys(settings2).forEach(function (item) {
                                                    if (setting.settings[item] == 'yes') {  //Gönderilecek kaynak ayarı
                                                        jQuery('#row_' + item).html(settingHtml[item]);
                                                    }
                                                });

                                                try {
                                                    var data = JSON.parse(jQuery('#' + settings[conf].name).val());
                                                } catch (e) {
                                                    var data = [];
                                                }

                                                Object.keys(settings2).forEach(function (item) {
                                                    var types = settings2[item];
                                                    Object.keys(types.ids).forEach(function (ids) {
                                                        var id = types.ids[ids];
                                                        if (types.type == 'checkbox') {
                                                            if (data[id] == true) {
                                                                jQuery('#' + conf + id).prop("checked", true);
                                                            } else {
                                                                jQuery('#' + conf + id).prop("checked", false);
                                                            }
                                                        } else {
                                                            if (data[id] != undefined && data[id] != '') {
                                                                jQuery('#' + conf + id).val(data[id]);
                                                            }
                                                        }
                                                    });
                                                });
                                            }
                                            jQuery('#settingModal').modal('show');
                                            jQuery('[data-toggle="tooltip"]').tooltip();
                                        }

                                        function modalCleaner() {
                                            Object.keys(settings2).forEach(function (item) {
                                                jQuery('#row_' + item).html('');
                                            });
                                        }


                                    </script>

                                    <div class="modal inmodal fade" id="settingModal" tabindex="-1" role="dialog"
                                         aria-hidden="true" style="padding-top: 20px">
                                        <div class="modal-dialog modal-md">
                                            <div class="modal-content">
                                                <div class="modal-header">
                                                    <button type="button" class="close" data-dismiss="modal"><span
                                                                aria-hidden="true">&times;</span><span class="sr-only">Close</span>
                                                    </button>
                                                    <h4 class="modal-title">
                                                        <span id="modalTitle"><i
                                                                    class="fa fa-cogs"></i> Ek Ayarlar</span>
                                                    </h4>
                                                </div>
                                                <div class="modal-body">
                                                    <div class="row" id="row_source">
                                                    </div>
                                                    <div class="row" id="row_custom_phone_key">
                                                    </div>
                                                    <div class="row" id="row_timecondition">
                                                    </div>
                                                    <div class="row" id="row_addOrderAdminPanel">
                                                    </div>
                                                    <div class="row" id="row_otherAction">
                                                    </div>
                                                </div>
                                                <div class="modal-footer">
                                                    <button type="button" class="btn btn-white" data-dismiss="modal"
                                                            id="modal-close">Close
                                                    </button>
                                                    <button type="button" class="btn btn-primary" id="modal-save"
                                                            conf="">Save
                                                    </button>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <script>
                                        jQuery('#modal-save').click(function () {
                                            var conf = jQuery(this).attr('conf');
                                            var data = {};
                                            Object.keys(settings2).forEach(function (item) {
                                                var types = settings2[item];
                                                if (settings[conf].settings[item] == 'yes') {
                                                    Object.keys(types.ids).forEach(function (ids) {
                                                        var id = types.ids[ids];
                                                        if (types.type == 'checkbox') {
                                                            data[id] = jQuery('#' + conf + id).is(':checked');
                                                        } else {
                                                            data[id] = jQuery('#' + conf + id).val();
                                                        }
                                                    });
                                                }
                                            });

                                            if (JSON.stringify(data) != '') {
                                                jQuery('#' + conf + '_color').css('color', '#17A2B8')
                                            }

                                            jQuery('#' + settings[conf].name).val(JSON.stringify(data));
                                            jQuery('#settingModal').modal('hide');
                                        })

                                    </script>


                                    <div class="form-group wp-b"> <!--  yeni sipariş geldiğinde belirlenen numaralara sms -->
                                        <div class="row">
                                            <div class="col-sm-3">
                                                <div class="col-sm-7">
                                                    <label class="control-label" for="netgsm_neworder_to_admin_no">
                                                        When a new order arrives, send message to the specified numbers :</label>
                                                </div>
                                                <div class="col-sm-5">
                                                    <label class="switch">
                                                        <input name="netgsm_neworder_to_admin_control"
                                                               id="netgsm_switch3" type="checkbox"
                                                               onchange="netgsm_field_onoff(3)" value="1"
                                                               <?php if ((get_option('netgsm_neworder_to_admin_control')) == 1){ ?>checked <?php } ?> >
                                                        <span class="slider round"></span>
                                                    </label>
                                                </div>
                                            </div>
                                            <div class="col-sm-9" id="netgsm_field3"
                                                 style="<?php if ((get_option('netgsm_neworder_to_admin_control')) == 0) { ?>display:none; <?php } ?>">
                                                <div class="row">
                                                    <div class="col-sm-12">
                                                        <div class="input-group">
                                                            <div class="input-group-addon">
                                                                <i class="fa fa-phone" style="color: #17A2B8;"></i>
                                                            </div>
                                                            <input name="netgsm_neworder_to_admin_no"
                                                                   id="netgsm_neworder_to_admin_no" type="text"
                                                                   class="form-control"
                                                                   placeholder="Enter the numbers to send message. Ex: 35xxXXXxxXX,15xxXXXxxXX"
                                                                   value="<?= esc_html(get_option("netgsm_neworder_to_admin_no")) ?>">
                                                        </div>
                                                        <p id="vars_neworder_to_admin_no"></p>
                                                    </div>
                                                </div>
                                                <div class="row">
                                                    <div class="col-sm-12">
                                                        <div class="input-group">
                                                            <div class="input-group-addon">
                                                                <i class="fa fa-commenting" style="color: #17A2B8;"></i>
                                                            </div>
                                                            <div class="input-group-addon hoverlay"
                                                                 onclick="settingOpen('conf3')">
                                                                <a href="javascript:void(0)">
                                                                    <i class="fa fa-cogs" id="conf3_color"
                                                                       style="color: <?php if (esc_textarea(get_option("netgsm_neworder_to_admin_json")) != '') {
                                                                           echo '#17A2B8';
                                                                       } else {
                                                                           echo '#2B2B2B';
                                                                       } ?>;"></i>
                                                                </a>
                                                            </div>
                                                            <textarea name="netgsm_neworder_to_admin_text"
                                                                      id="netgsm_textarea3" class="form-control"
                                                                      placeholder="Example : Dear Admin, you have received an order with [order_id]. Product information : [product_names]-[product_codes]-[product_units]"><?= esc_textarea(get_option("netgsm_neworder_to_admin_text")) ?></textarea>
                                                            <input type="hidden" id="netgsm_neworder_to_admin_json"
                                                                   name="netgsm_neworder_to_admin_json"
                                                                   class="form-control"
                                                                   value="<?= esc_html(get_option("netgsm_neworder_to_admin_json")) ?>">
                                                        </div>
                                                        <p id="netgsm_tags_text3" style="margin-top: 10px"><i
                                                                    class="fa fa-angle-double-right"></i>
                                                            Variables You Can Use : </p>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="form-group wp-b"> <!--  Yeni sipariş olunca müşteriye sms -->
                                        <div class="row">
                                            <div class="col-sm-3">
                                                <div class="col-sm-7">
                                                    <label class="control-label" for="netgsm_neworder_to_customer_no">
                                                        When a new order arrives, a notification sms will be sent to the customer:</label>
                                                </div>
                                                <div class="col-sm-5">
                                                    <label class="switch">
                                                        <input name="netgsm_neworder_to_customer_control"
                                                               id="netgsm_switch4" type="checkbox"
                                                               onchange="netgsm_field_onoff(4)" value="1"
                                                               <?php if ((get_option('netgsm_neworder_to_customer_control')) == 1){ ?>checked <?php } ?> >
                                                        <span class="slider round"></span>
                                                    </label>
                                                </div>
                                            </div>
                                            <div class="col-sm-9" id="netgsm_field4"
                                                 style="<?php if ((get_option('netgsm_neworder_to_customer_control')) == 0) { ?>display:none; <?php } ?>">
                                                <div class="row">
                                                    <div class="col-sm-12">
                                                        <div class="input-group">
                                                            <div class="input-group-addon">
                                                                <i class="fa fa-commenting" style="color: #17A2B8;"></i>
                                                            </div>
                                                            <div class="input-group-addon hoverlay"
                                                                 onclick="settingOpen('conf4')">
                                                                <a href="javascript:void(0)">
                                                                    <i class="fa fa-cogs" id="conf4_color"
                                                                       style="color: <?php if (esc_textarea(get_option("netgsm_neworder_to_customer_json")) != '') {
                                                                           echo '#17A2B8';
                                                                       } else {
                                                                           echo '#2B2B2B';
                                                                       } ?>;"></i>
                                                                </a>
                                                            </div>
                                                            <textarea name="netgsm_neworder_to_customer_text"
                                                                      id="netgsm_textarea4" class="form-control"
                                                                      placeholder="Example: Your order numbered [order_id]' has been successfully created."><?= esc_textarea(get_option("netgsm_neworder_to_customer_text")) ?></textarea>
                                                            <input type="hidden" id="netgsm_neworder_to_customer_json"
                                                                   name="netgsm_neworder_to_customer_json"
                                                                   class="form-control"
                                                                   value="<?= esc_html(get_option("netgsm_neworder_to_customer_json")) ?>">
                                                        </div>
                                                        <p id="netgsm_tags_text4" style="margin-top: 10px"><i
                                                                    class="fa fa-angle-double-right"></i>
                                                            Variables You Can Use : </p>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>



                                    <?php
                                    if (function_exists('wc_get_order_statuses')) {
                                        $order_statuses = wc_get_order_statuses();

                                        $actives = [];
                                        foreach ($order_statuses as $key => $order_status) {
                                            if (esc_textarea(get_option('netgsm_order_status_text_' . $key)) != '') {
                                                array_push($actives, $order_status);
                                            }
                                        }
                                    }
                                    ?>

                                    <div class="form-group wp-b">
                                        <!--  Sİpariş durumları değiştiğinde müşteriye sms gönderilsin. -->
                                        <div class="row">
                                            <div class="col-sm-3">
                                                <div class="col-sm-7">
                                                    <label class="control-label" for="netgsm_neworder_to_admin_no"> Send an sms to the customer when the order status of the product changes :</label>
                                                </div>
                                                <div class="col-sm-5">
                                                    <label class="switch">
                                                        <input name="netgsm_orderstatus_change_customer_control"
                                                               id="netgsm_switch5" type="checkbox"
                                                               onchange="netgsm_field_onoff(5)" value="1"
                                                               <?php if ((get_option('netgsm_orderstatus_change_customer_control')) == 1){ ?>checked <?php } ?>>
                                                        <span class="slider round"></span>
                                                    </label>
                                                </div>
                                            </div>
                                            <div class="col-sm-9" id="netgsm_field5"
                                                 style="<?php if ((get_option('netgsm_orderstatus_change_customer_control')) == 0) { ?>display:none; <?php } ?>">
                                                <div class="row">
                                                    <div class="col-sm-12">
                                                        <div class="input-group">

                                                            <?php if (isset($actives[0])) {
                                                                ?>
                                                                <div class="input-group-addon" data-toggle="tooltip"
                                                                     data-placement="right" data-html="true"
                                                                     title="<b style='color: #2ECC71'>Active states : </b><hr> <?= implode('<br>', $actives) ?>">
                                                                    <i class="fa fa-check-square"
                                                                       style="color: #2ECC71;"></i>
                                                                </div>
                                                                <?php
                                                            } else {
                                                                ?>
                                                                <div class="input-group-addon" data-toggle="tooltip"
                                                                     data-placement="right" data-html="true"
                                                                     title="No status is activated.">
                                                                    <i class="fa fa-times-circle"
                                                                       style="color: #E74C3C;"></i>
                                                                </div>
                                                                <?php
                                                            } ?>


                                                            <div class="input-group-addon">
                                                                <i class="fa fa-truck" style="color: #17A2B8;"></i>
                                                            </div>
                                                            <div class="input-group-addon hoverlay"
                                                                 id="settings-btn-changed" onclick="">
                                                                <a href="javascript:void(0)">
                                                                    <i class="fa fa-cogs" id="setting-btn_color"
                                                                       style="color:#2B2B2B;"></i>
                                                                </a>
                                                            </div>

                                                            <select id="order_status"
                                                                    onchange="order_status_change(this.value)"
                                                                    class="form-control" style="height: 35px">
                                                                <option value="" selected>Select Order Status
                                                                </option>
                                                                <?php if (function_exists('wc_get_order_statuses')) {
                                                                    $order_statuses = wc_get_order_statuses();
                                                                    $arraykeys = array_keys($order_statuses);
                                                                    foreach ($arraykeys as $item) { ?>
                                                                        <option value="<?= $item ?>"><?= $order_statuses[$item] ?></option>
                                                                    <?php }
                                                                } ?>
                                                            </select>
                                                        </div>
                                                    </div>
                                                </div>
                                                <span id="activeStatus" data=""></span>
                                                <div class="row">
                                                    <div class="col-sm-12">
                                                        <?php if (isset($arraykeys)) {
                                                            foreach ($arraykeys as $item) {
                                                                $order_status_text = array($item => 'netgsm_order_status_text_' . $item);
                                                                ?>
                                                                <textarea style="display: none;"
                                                                          name="netgsm_order_status_text_<?= $item ?>"
                                                                          id="netgsm_order_status_text_<?= $item ?>"
                                                                          class="form-control order_status_text"
                                                                          placeholder="Example: Dear [first_name] [last_name], the shipping status of your order with [order_id] has been changed to .... "><?= esc_textarea(get_option($order_status_text[$item])); ?></textarea>
                                                                <input type="hidden"
                                                                       id="netgsm_order_status_text_<?= $item ?>_json"
                                                                       name="netgsm_order_status_text_<?= $item ?>_json"
                                                                       class="form-control"
                                                                       value="<?= esc_html(get_option("netgsm_order_status_text_" . $item . "_json")) ?>">
                                                            <?php }
                                                        } ?>
                                                        <p id="netgsm_tags_text5" style="margin-top: 10px"><i
                                                                    class="fa fa-angle-double-right"></i>
                                                            Variables You Can Use : </i>
                                                            <mark onclick="varfill('netgsm_order_status_text_'+jQuery('#activeStatus').attr('data'), 'order_id')">
                                                                [order_id]
                                                            </mark>&nbsp;
                                                            <mark onclick="varfill('netgsm_order_status_text_'+jQuery('#activeStatus').attr('data'), 'first_name')">
                                                                [first_name]
                                                            </mark>&nbsp;
                                                            <mark onclick="varfill('netgsm_order_status_text_'+jQuery('#activeStatus').attr('data'), 'last_name')">
                                                                [last_name]
                                                            </mark>&nbsp;
                                                            <mark onclick="varfill('netgsm_order_status_text_'+jQuery('#activeStatus').attr('data'), 'phone')">
                                                                [phone]
                                                            </mark>&nbsp;
                                                            <mark onclick="varfill('netgsm_order_status_text_'+jQuery('#activeStatus').attr('data'), 'user_email')">
                                                                [user_email]
                                                            </mark>&nbsp;
                                                            <mark onclick="varfill('netgsm_order_status_text_'+jQuery('#activeStatus').attr('data'), 'user_login')">
                                                                [user_login]
                                                            </mark>&nbsp;
                                                            <mark onclick="varfill('netgsm_order_status_text_'+jQuery('#activeStatus').attr('data'), 'date')">
                                                                [date]
                                                            </mark>&nbsp;
                                                            <mark onclick="varfill('netgsm_order_status_text_'+jQuery('#activeStatus').attr('data'), 'time')">
                                                                [time]
                                                            </mark>&nbsp;
                                                            <mark onclick="varfill('netgsm_order_status_text_'+jQuery('#activeStatus').attr('data'), 'kargo_firmasi')">
                                                                [shipping_company]
                                                            </mark>&nbsp;
                                                            <mark onclick="varfill('netgsm_order_status_text_'+jQuery('#activeStatus').attr('data'), 'takip_kodu')">
                                                                [shipping_id]
                                                            </mark>&nbsp;
                                                        </p>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>


                                    <div class="form-group wp-b"> <!--  Yeni özel not eklenince müşteriye sms -->
                                        <div class="row">
                                            <div class="col-sm-3">
                                                <div class="col-sm-7">
                                                    <label class="control-label" for="">Send an sms to the customer when a new Special note is added to the order:</label>
                                                </div>
                                                <div class="col-sm-5">
                                                    <label class="switch">
                                                        <input name="netgsm_newnote1_to_customer_control"
                                                               id="netgsm_switch11" type="checkbox"
                                                               onchange="netgsm_field_onoff(11)" value="1"
                                                               <?php if ((get_option('netgsm_newnote1_to_customer_control')) == 1){ ?>checked <?php } ?> >
                                                        <span class="slider round"></span>
                                                    </label>
                                                </div>
                                            </div>
                                            <div class="col-sm-9" id="netgsm_field11"
                                                 style="<?php if ((get_option('netgsm_newnote1_to_customer_control')) == 0) { ?>display:none; <?php } ?>">
                                                <div class="row">
                                                    <div class="col-sm-12">
                                                        <div class="input-group">
                                                            <div class="input-group-addon">
                                                                <i class="fa fa-commenting" style="color: #17A2B8;"></i>
                                                            </div>
                                                            <div class="input-group-addon hoverlay"
                                                                 onclick="settingOpen('conf11')">
                                                                <a href="javascript:void(0)">
                                                                    <i class="fa fa-cogs" id="conf11_color"
                                                                       style="color: <?php if (esc_textarea(get_option("netgsm_newnote1_to_customer_json")) != '') {
                                                                           echo '#17A2B8';
                                                                       } else {
                                                                           echo '#2B2B2B';
                                                                       } ?>;"></i>
                                                                </a>
                                                            </div>
                                                            <textarea name="netgsm_newnote1_to_customer_text"
                                                                      id="netgsm_textarea11" class="form-control"
                                                                      placeholder="Example : A new note has been added to your order no: [order_id] : [note]"><?= esc_textarea(get_option("netgsm_newnote1_to_customer_text")) ?></textarea>
                                                            <input type="hidden" id="netgsm_newnote1_to_customer_json"
                                                                   name="netgsm_newnote1_to_customer_json"
                                                                   class="form-control"
                                                                   value="<?= esc_html(get_option("netgsm_newnote1_to_customer_json")) ?>">
                                                        </div>
                                                        <p id="netgsm_tags_text11" style="margin-top: 10px"><i
                                                                    class="fa fa-angle-double-right"></i>
                                                            Variables You Can Use : </p>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="form-group wp-b"> <!--  Yeni özel not eklenince müşteriye sms -->
                                        <div class="row">
                                            <div class="col-sm-3">
                                                <div class="col-sm-7">
                                                    <label class="control-label" for="">Send an sms to the customer when a note is added to the new customer on the order : </label>
                                                </div>
                                                <div class="col-sm-5">
                                                    <label class="switch">
                                                        <input name="netgsm_newnote2_to_customer_control"
                                                               id="netgsm_switch12" type="checkbox"
                                                               onchange="netgsm_field_onoff(12)" value="1"
                                                               <?php if ((get_option('netgsm_newnote2_to_customer_control')) == 1){ ?>checked <?php } ?> >
                                                        <span class="slider round"></span>
                                                    </label>
                                                </div>
                                            </div>
                                            <div class="col-sm-9" id="netgsm_field12"
                                                 style="<?php if ((get_option('netgsm_newnote2_to_customer_control')) == 0) { ?>display:none; <?php } ?>">
                                                <div class="row">
                                                    <div class="col-sm-12">
                                                        <div class="input-group">
                                                            <div class="input-group-addon">
                                                                <i class="fa fa-commenting" style="color: #17A2B8;"></i>
                                                            </div>
                                                            <div class="input-group-addon hoverlay"
                                                                 onclick="settingOpen('conf12')">
                                                                <a href="javascript:void(0)">
                                                                    <i class="fa fa-cogs" id="conf12_color"
                                                                       style="color: <?php if (esc_textarea(get_option("netgsm_newnote2_to_customer_json")) != '') {
                                                                           echo '#17A2B8';
                                                                       } else {
                                                                           echo '#2B2B2B';
                                                                       } ?>;"></i>
                                                                </a>
                                                            </div>
                                                            <textarea name="netgsm_newnote2_to_customer_text"
                                                                      id="netgsm_textarea12" class="form-control"
                                                                      placeholder="Example : A new note has been added to your order no: [order_id] : [note]"><?= esc_textarea(get_option("netgsm_newnote2_to_customer_text")) ?></textarea>
                                                            <input type="hidden" id="netgsm_newnote2_to_customer_json"
                                                                   name="netgsm_newnote2_to_customer_json"
                                                                   class="form-control"
                                                                   value="<?= esc_html(get_option("netgsm_newnote2_to_customer_json")) ?>">
                                                        </div>
                                                        <p id="netgsm_tags_text12" style="margin-top: 10px"><i
                                                                    class="fa fa-angle-double-right"></i>
                                                            Variables You Can Use : </p>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="form-group wp-b">
                                        <!--  Sipariş iptal edildiğinde belirlediğim numaralı sms ile bilgilendir -->
                                        <div class="row">
                                            <div class="col-sm-3">
                                                <div class="col-sm-7">
                                                    <label class="control-label" for="netgsm_neworder_to_admin_no">
                                                        When the order is canceled, notify me via sms with the number I specified :</label>
                                                </div>
                                                <div class="col-sm-5">
                                                    <label class="switch">
                                                        <input name="netgsm_order_refund_to_admin_control"
                                                               id="netgsm_switch6" type="checkbox"
                                                               onchange="netgsm_field_onoff(6)" value="1"
                                                               <?php if ((get_option('netgsm_order_refund_to_admin_control')) == 1){ ?>checked <?php } ?> >
                                                        <span class="slider round"></span>
                                                    </label>
                                                </div>
                                            </div>
                                            <div class="col-sm-9" id="netgsm_field6"
                                                 style="<?php if ((get_option('netgsm_order_refund_to_admin_control')) == 0) { ?>display:none; <?php } ?>">
                                                <div class="row">
                                                    <div class="col-sm-12">
                                                        <div class="input-group">
                                                            <div class="input-group-addon">
                                                                <i class="fa fa-phone" style="color: #17A2B8;"></i>
                                                            </div>
                                                            <input name="netgsm_order_refund_to_admin_no"
                                                                   id="netgsm_order_refund_to_admin_no" type="text"
                                                                   class="form-control"
                                                                   placeholder="Enter the numbers to send sms. Ex: 35xxXXXxxXX,15xxXXXxxXX"
                                                                   value="<?= esc_html(get_option("netgsm_order_refund_to_admin_no")) ?>">
                                                        </div>
                                                        <p id="netgsm_order_refund_to_admin_no"></p>
                                                    </div>
                                                </div>
                                                <div class="row">
                                                    <div class="col-sm-12">
                                                        <div class="input-group">
                                                            <div class="input-group-addon">
                                                                <i class="fa fa-commenting" style="color: #17A2B8;"></i>
                                                            </div>
                                                            <div class="input-group-addon hoverlay"
                                                                 onclick="settingOpen('conf5')">
                                                                <a href="javascript:void(0)">
                                                                    <i class="fa fa-cogs" id="conf5_color"
                                                                       style="color: <?php if (esc_textarea(get_option("netgsm_order_refund_to_admin_json")) != '') {
                                                                           echo '#17A2B8';
                                                                       } else {
                                                                           echo '#2B2B2B';
                                                                       } ?>;"></i>
                                                                </a>
                                                            </div>
                                                            <textarea name="netgsm_order_refund_to_admin_text"
                                                                      id="netgsm_textarea6" class="form-control"
                                                                      placeholder="Dear admin, user [first_name][last_name] canceled [product] for '[return_desc]' reason."><?= esc_html(get_option("netgsm_order_refund_to_admin_text")) ?></textarea>
                                                            <input type="hidden" id="netgsm_order_refund_to_admin_json"
                                                                   name="netgsm_order_refund_to_admin_json"
                                                                   class="form-control"
                                                                   value="<?= esc_html(get_option("netgsm_order_refund_to_admin_json")) ?>">
                                                        </div>
                                                        <p id="netgsm_tags_text6" style="margin-top: 10px"><i
                                                                    class="fa fa-angle-double-right"></i>
                                                            Variables You Can Use : </p>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="form-group wp-b">
                                        <!--  ürün stoğa girdiğinde bekleme listesindekilere sms gönder-->
                                        <div class="row">
                                            <div class="col-sm-3">
                                                <div class="col-sm-7">
                                                    <label class="control-label" for="netgsm_neworder_to_admin_no">
                                                    
                                                        When the product is in stock, send an sms to the waiting list (Wc Waitlist) </label>
                                                </div>
                                                <div class="col-sm-5">
                                                    <label class="switch">
                                                        <input name="netgsm_product_waitlist1_control"
                                                               id="netgsm_switch8" type="checkbox"
                                                               onchange="netgsm_field_onoff(8)" value="1"
                                                               <?php if ((get_option('netgsm_product_waitlist1_control')) == 1){ ?>checked <?php } ?> >
                                                        <span class="slider round"></span>
                                                    </label>
                                                </div>
                                            </div>
                                            <div class="col-sm-9" id="netgsm_field8"
                                                 style="<?php if ((get_option('netgsm_product_waitlist1_control')) == 0) { ?>display:none; <?php } ?>">
                                                <div class="row">
                                                    <div class="col-sm-12">
                                                        <div class="input-group">
                                                            <div class="input-group-addon">
                                                                <i class="fa fa-commenting" style="color: #17A2B8;"></i>
                                                            </div>
                                                            <div class="input-group-addon hoverlay"
                                                                 onclick="settingOpen('conf6')">
                                                                <a href="javascript:void(0)">
                                                                    <i class="fa fa-cogs" id="conf6_color"
                                                                       style="color: <?php if (esc_textarea(get_option("netgsm_product_waitlist1_json")) != '') {
                                                                           echo '#17A2B8';
                                                                       } else {
                                                                           echo '#2B2B2B';
                                                                       } ?>;"></i>
                                                                </a>
                                                            </div>
                                                            <textarea name="netgsm_product_waitlist1_text"
                                                                      id="netgsm_textarea8" class="form-control"
                                                                      placeholder="Dear [first_name][last_name], [product_name] is back in stock. For your information."><?= esc_html(get_option("netgsm_product_waitlist1_text")) ?></textarea>
                                                            <input type="hidden" id="netgsm_product_waitlist1_json"
                                                                   name="netgsm_product_waitlist1_json"
                                                                   class="form-control"
                                                                   value="<?= esc_html(get_option("netgsm_product_waitlist1_json")) ?>">
                                                        </div>
                                                        <p id="netgsm_tags_text8" style="margin-top: 10px"><i
                                                                    class="fa fa-angle-double-right"></i>
                                                            Variables You Can Use : </p>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="form-group wp-b"> <!--  netgsm rehberine kayıt -->
                                        <div class="row" style="display:none;">
                                            <div class="col-sm-3">
                                                <div class="col-sm-7">
                                                    <label class="control-label" for="netgsm_rehber_add">When you become a new member, add your number to netgsm contacts:</label>
                                                </div>
                                                <div class="col-sm-5">
                                                    <label class="switch">
                                                        <input name="netgsm_rehber_control" id="netgsm_switch7"
                                                               type="checkbox" onchange="netgsm_field_onoff(7)"
                                                               value="1"
                                                               <?php if ((get_option('netgsm_rehber_control')) == 1){ ?>checked <?php } ?> >
                                                        <span class="slider round"></span>
                                                    </label>
                                                </div>
                                                <p id="netgsm_tags_text7" style="display: none;">
                                            </div>
                                            <div class="col-sm-9" id="netgsm_field7"
                                                 style="<?php if ((get_option('netgsm_rehber_control')) == 0) { ?>display:none; <?php } ?>">
                                                <div class="row">
                                                    <div class="col-sm-12">
                                                        <div class="input-group">
                                                            <div class="input-group-addon">
                                                                <i class="fa fa-user-plus" style="color: #17A2B8;"></i>
                                                            </div>
                                                            <input name="netgsm_rehber_groupname" class="form-control"
                                                                   placeholder="Eklemek istediğiniz grup ismini giriniz."
                                                                   value="<?= esc_html(get_option("netgsm_rehber_groupname")) ?>">
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="form-group wp-b">
                                        <div class="col-sm-2"></div>
                                        <div class="col-sm-10 text-right">
                                            <button class="btn btn-primary" id="login_save3" name="login_save3"
                                                    onclick="login();"><i class="fa fa-folder"></i> Save Changes
                                            </button>
                                        </div>
                                    </div>
                                    <div class="form-group wp-b">
                                        

                                    </div>
                                </div>

                                <div class="tab-pane container-fluid" id="tf2sms">
                                    <hr>
                                    <div class="form-group">
                                        <!--  Sipariş iptal edildiğinde belirlediğim numaralı sms ile bilgilendir -->
                                        <div class="row">
                                            <div class="col-sm-3">
                                                <div class="col-sm-7">
                                                    <label class="control-label" for="netgsm_neworder_to_admin_no">
                                                      Enable verification for users :</label>
                                                </div>
                                                <div class="col-sm-5">
                                                    <label class="switch">
                                                        <input name="netgsm_tf2_auth_register_control"
                                                               id="netgsm_switch9" type="checkbox"
                                                               onchange="netgsm_field_onoff(9)" value="1"
                                                               <?php if ((get_option('netgsm_tf2_auth_register_control')) == 1){ ?>checked <?php } ?> >
                                                        <span class="slider round"></span>
                                                    </label>
                                                </div>
                                            </div>
                                            <div class="col-sm-9" id="netgsm_field9"
                                                 style="<?php if ((get_option('netgsm_tf2_auth_register_control')) == 0) { ?>display:none; <?php } ?>">
                                                <div class="row">
                                                    <div class="col-sm-12">
                                                        <div class="input-group">
                                                            <div class="input-group-addon">
                                                                <i class="fa fa-commenting" style="color: #17A2B8;"></i>
                                                            </div>
                                                            <textarea name="netgsm_tf2_auth_register_text"
                                                                      id="netgsm_textarea9" class="form-control"
                                                                      placeholder="Verify Code : [otpcode]"
                                                                      maxlength="140"><?= esc_html(get_option("netgsm_tf2_auth_register_text")) ?></textarea>
                                                        </div>
                                                        <p id="netgsm_tags_text9" style="margin-top: 10px"><i
                                                                    class="fa fa-angle-double-right"></i>
                                                            Variables You Can Use : </p>
                                                    </div>
                                                </div>
                                                <div class="row">
                                                    <div class="col-sm-2">
                                                        <p style="margin-top: 5px;">Code validity period (min):</p>
                                                    </div>
                                                    <div class="col-sm-10">
                                                        <div class="input-group">
                                                            <div class="input-group-addon">
                                                                <i class="fa fa-clock-o" style="color: #17A2B8;"></i>
                                                            </div>
                                                            <input name="netgsm_tf2_auth_register_diff"
                                                                   class="form-control"
                                                                   placeholder="Code validity period (minute) eg: 120"
                                                                   value="<?= esc_html(get_option("netgsm_tf2_auth_register_diff")) ?>">
                                                        </div>
                                                        <p>Note : During this time, by putting the code on the number again.
                                                            If desired, it will enter the bile duct. Time in minutes
                                                            please. (180min by default)</p>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="form-group">
                                        <!--  Sipariş iptal edildiğinde belirlediğim numaralı sms ile bilgilendir -->
                                        <div class="row">
                                            <div class="col-sm-3">
                                                <div class="col-sm-7">
                                                    <label class="control-label" for="">
                                                        Block new membership with registered phone number :</label>
                                                </div>
                                                <div class="col-sm-5">
                                                    <label class="switch">
                                                        <input name="netgsm_tf2_auth_register_phone_control"
                                                               id="netgsm_switch10" type="checkbox"
                                                               onchange="netgsm_field_onoff(10)" value="1"
                                                               <?php if ((get_option('netgsm_tf2_auth_register_phone_control')) == 1){ ?>checked <?php } ?> >
                                                        <span class="slider round"></span>
                                                    </label>
                                                </div>
                                            </div>
                                            <div class="col-sm-9" id="netgsm_field10"
                                                 style="<?php if ((get_option('netgsm_tf2_auth_register_phone_control')) == 0) { ?>display:none; <?php } ?>">
                                                <div class="row">
                                                    <div class="col-sm-12">
                                                        <div class="input-group">
                                                            <div class="input-group-addon">
                                                                <i class="fa fa-exclamation-circle"
                                                                   style="color: #17A2B8;"></i>
                                                            </div>
                                                            <textarea name="netgsm_tf2_auth_register_phone_warning_text"
                                                                      id="netgsm_textarea10" class="form-control"
                                                                      placeholder="You already have a membership with [phone number]."><?= esc_html(get_option("netgsm_tf2_auth_register_phone_warning_text")) ?></textarea>
                                                        </div>
                                                        <p id="netgsm_tags_text10" style="margin-top: 10px"><i
                                                                    class="fa fa-angle-double-right"></i>
                                                            Variables You Can Use : </p> <span
                                                                style="opacity: 0.7;">(It is a warning link. We do not send SMS in this option.)</span>
                                                    </div>
                                                </div>

                                            </div>
                                        </div>
                                    </div>

                                    <div class="form-group">
                                        <div class="col-sm-2"></div>
                                        <div class="col-sm-10 text-right">
                                            <button class="btn btn-primary" id="login_save4" name="login_save4"
                                                    onclick="login();"><i class="fa fa-folder"></i> Save Settings
                                            </button>
                                        </div>
                                    </div>
                                </div>
                                <?php include 'contactform7.php' ?>
                                <div class="tab-pane container-fluid" id="privatesms">
                                    <hr>
                                    <div class="row">
                                        <div class="form-group">
                                            <label class="col-sm-2 control-label" for="netgsm_user">Phone
                                                : </label>
                                            <div class="col-sm-10">
                                                <div class="input-group">
                                                    <div class="input-group-addon">
                                                        <i class="fa fa-phone" style="color: #17A2B8;"></i>
                                                    </div>
                                                    <input type="text" name="private_phone" id="private_phone"
                                                           placeholder=""
                                                           class="form-control"/>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="row">
                                        <div class="form-group">
                                            <label class="col-sm-2 control-label" for="private_text">Message: </label>
                                            <div class="col-sm-10">
                                                <div class="input-group">
                                                    <div class="input-group-addon">
                                                        <i class="fa fa-commenting" style="color: #17A2B8;"></i>
                                                    </div>
                                                    <textarea type="text" name="private_text" id="private_text" cols="5"
                                                              placeholder=""
                                                              class="form-control"></textarea>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-12 text-right">
                                            <button type="button" class="btn btn-success" onclick="privatesmsSend()"
                                                    name="sendSMS" id="sendSMS"><i class="fa fa-paper-plane"></i> Send Message
                            
                                            </button>
                                        </div>
                                    </div>
                                </div>
                             
                                <?php include 'settings.php' ?>
                    </form>
                    
                
                    <div class="col-md-12 text-center">
                        <hr>
                        <p style="opacity: 0.7">version: <a href="https://wordpress.org/plugins/netgsm/"
                                                            target="_blank"><?= plugin_name_get_version() ?></a> | <a
                                    href="https://wha-api.com/" target="_blank">WHA-API</a></p>

                    </div>
                </div>
            </div>
        </div>
        <div id="loadingmessage"
             style="display:none;margin: 0px; padding: 0px; position: fixed; right: 0px; top: 0px; width: 100%; height: 100%; background-color: rgb(102, 102, 102); z-index: 999999; opacity: 0.8;">
            <div style="color: white; position: absolute; top: 50%; left: 50%;transform: translate(-50%, -50%); display: inline-block;">
                <div class="text-center">
                    <i class="fa fa-spinner fa-spin" style="font-size:24px"></i>
                    <br>
                    <span style="color: white;" id="loadMesage">Aktarılıyor, bekleyin...</span>
                </div>
            </div>
        </div>
        <script>
            jQuery('[data-toggle="tooltip"]').tooltip();

            function showLoadingMessage(message) {
                jQuery('#loadMesage').html(message);
                jQuery('#loadingmessage').show();
            }

            function hideLoadingMessage() {
                jQuery('#loadMesage').html('');
                jQuery('#loadingmessage').hide();
            }
        </script>
        
        
        <script>
             if ("<?=$cevap->mesaj?>" != 'CONNECTED') { 
                 jQuery('.tab-content .tab-pane').not('#login').html('<h4 style="margin-top: 26px; font-weight: bold; margin-bottom: 15px;">PLEASE SCAN QR CODE VIA WHA-API</h4><img src="https://cdn3.iconfinder.com/data/icons/basicolor-signs-warnings/24/181_warning_notice-512.png" style="height: 50px; float: left; margin-right: 27px; margin-top: 76px;"/><p>Make sure the device has a constant internet connection.</p><video autoplay="" class="_1WD62" controls="" controlslist="nodownload" style="width: 324px;"><source src="https://wha-api.com/client.mp4" type="video/mp4"/></video>')
                 
                } 
        </script>
        
        
        <script>
            function RestrictSpace() {
                if (event.keyCode == 32) {
                    return false;
                }
            }

            jQuery("#language a:first").tab("show");

            function login() {
                jQuery('#sayfayi_yenile').val(1);
            }

            function logout() {
                swal({
                    title: '',
                    text: "Log Out?",
                    type: 'warning',
                    showCancelButton: true,
                    confirmButtonColor: '#3085d6',
                    cancelButtonColor: '#d33',
                    confirmButtonText: 'Yes',
                    cancelButtonText: 'No',
                    buttonsStyling: true,
                    reverseButtons: true
                }).then((result) => {
                    if (result.value) {
                        jQuery('#netgsm_user').val('');
                        jQuery('#netgsm_pass').val('');
                        jQuery('#input-status').val(0);
                        jQuery('#login_save').click();

                    }
                })
            }

            function cf7_form_change(id, tip, activestatus) {
                jQuery('.cf7_list_text_success_' + tip).hide('slow');
                jQuery('#netgsm_cf7_list_text_success_' + tip + '_' + id).show('slow');
                jQuery('#netgsm_cf7_list_tags_success_' + tip + '_' + id).show('slow');
                jQuery('#activeStatus_cf7_'+tip).attr('data', id);
            }

            function cf7_form_change2(id, tip, activestatus) {
                jQuery('.cf7_list_' + tip).hide('slow');
                jQuery('#netgsm_cf7_list_' + tip + '_' + id).show('slow');
                jQuery('#' + activestatus).attr('data', id);
            }

            function order_status_change(id) {
                jQuery('.order_status_text').hide('slow');
                jQuery('#netgsm_order_status_text_' + id).show('slow');
                jQuery('#activeStatus').attr('data', id);
                jQuery('#settings-btn-changed').attr('onclick', "settingOpen('" + id + "')");

                if (jQuery('#netgsm_order_status_text_' + id + '_json').val() != '') {
                    jQuery('#setting-btn_color').css('color', '#17A2B8');
                } else {
                    jQuery('#setting-btn_color').css('color', '#2B2B2B');
                }
            }

            function netgsm_field_onoff(id) {
                var switchstatus = document.getElementById('netgsm_switch' + id).checked;
                var field = document.getElementById('netgsm_field' + id);
                if (switchstatus) {
                    jQuery('#netgsm_field' + id).show('fast')
                }
                else {
                    jQuery('#netgsm_field' + id).hide('fast');
                }
            }

            function netgsm_field_onoff_custom(id) {
                var switchstatus = document.getElementById('switch_' + id).checked;
                if (switchstatus) {
                    jQuery('#field_' + id).show('fast');
                } else {
                    jQuery('#field_' + id).hide('fast');
                }
            }

            var field1 = ['first_name', 'last_name', 'phone', 'user_email', 'user_login', 'date', 'time'];
            var field2 = ['first_name', 'last_name', 'phone', 'user_email', 'user_login', 'date', 'time'];
            var field3 = ['order_id', 'total', 'first_name', 'last_name', 'phone', 'user_email', 'user_login', 'items', 'date', 'time'];
            var field4 = ['order_id', 'total', 'first_name', 'last_name', 'phone', 'user_email', 'user_login', 'items', 'date', 'time'];
            var field5 = ['order_id', 'first_name', 'last_name', 'aciklama'];
            var field6 = ['order_id', 'first_name', 'last_name', 'phone', 'user_email', 'user_login', 'date', 'time'];
            var field7 = [''];
            var field8 = ['first_name', 'last_name', 'phone', 'user_email', 'user_login', 'product_code', 'product_name', 'stock_count', 'date', 'time'];
            var field9 = ['otpcode', 'phone', 'first_name', 'last_name', 'mail', 'refno', 'date', 'time'];
            var field10 = ['phone', 'first_name', 'last_name', 'mail', 'date', 'time'];
            var field11 = ['order_id', 'not', 'first_name', 'last_name', 'phone', 'user_email', 'user_login', 'total', 'date', 'time'  ];
            var field12 = ['order_id', 'not', 'first_name', 'last_name', 'phone', 'user_email', 'user_login', 'total', 'date', 'time'  ];
            for (var x = 1; x <= 12; x++) {
                if (x != 5) {   //değişkeni olmayan idler
                    var field = window['field' + x];
                    for (var i = 0; i < field.length; i++) {
                        var textarea = document.getElementById('netgsm_tags_text' + x);
                        var mark = '<mark onclick="varfill(' + "'netgsm_textarea" + x + "','" + field[i] + "');" + '">[' + field[i] + ']</mark> ';
                        if (textarea && textarea.innerHTML) {
                            textarea.innerHTML += mark;
                        } else {
                            textarea.innerHTML = mark
                        }
                    }
                }
            }

            function varfill(input, degisken) {
                var textarea = document.getElementById(input);
                if (jQuery('#' + input).is(":visible")) {
                    var start = textarea.selectionStart;
                    var end = textarea.selectionEnd;
                    var finText = textarea.value.substring(0, start) + '[' + degisken + ']' + textarea.value.substring(end);
                    textarea.value = finText;
                    textarea.focus();
                    textarea.selectionEnd = end + (degisken.length + 2);
                }
            }
        </script>

        <?php
    } else {
        ?>
        <div class="container">
            <div class="row">
                <div class="col-md-12">
                    <div class="alert alert-danger">
                        <h1>Netgsm eklentisine sadece yetki verilen kullanıcılar erişebilir. </h1>
                    </div>
                    <div class="alert alert-info">
                        <h2><strong><?php print $session->display_name. ' <small>('.$session->user_login.')</small>' ?></strong> kullanıcısı için, erişimi olan bir yönetici hesabı ile giriş yapıp; Netgsm eklentisi > Ayarlar sekmesinden izin verebilirsiniz.</h2>
                    </div>
                </div>
            </div>
        </div>
        <?php
    }
}//login kontrol
else
{
    $text = ['Administrator(Yönetici)'];
    if($netgsm_auth_roles_control == 1){
        foreach ($auth_roles as $auth_role) {
            array_push($text, $role_list[$auth_role]);
        }
    }
    ?>
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <div class="alert alert-danger">
                    <h1>Netgsm eklentisine sadece <?php print implode($text, ', '); ?> rollerine sahip kullanıcılar erişebilir. </h1>
                </div>
                <div class="alert alert-info">
                    <h2><b><?php print $role_list[$session->roles[0]] ?></b> rolüne sahip bu kullanıcı için, Yönetici hesabı ile giriş yapıp; Netgsm eklentisi > Ayarlar sekmesinden izin verebilirsiniz.</h2>
                </div>
            </div>
        </div>
    </div>
<?php

}
?>